cadenya agents variations retrieve agent_123 _123{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"systemPromptTemplate": "<string>",
"progressiveDiscovery": {
"maxTools": 123,
"hints": [
"<string>"
]
},
"constraints": {
"maxToolCalls": 123,
"maxSubObjectives": 123,
"inactivityTimeout": "<string>"
},
"description": "<string>",
"modelConfig": {
"modelId": "claude/opus-4.6",
"temperature": 123,
"topP": 123,
"topK": 123,
"stopSequences": [
"<string>"
],
"maxOutputTokens": 123,
"reasoningEffort": "REASONING_EFFORT_UNSPECIFIED",
"cachingEnabled": true,
"streamingEnabled": true
},
"compactionConfig": {
"triggerThreshold": 123,
"summarization": {
"instructions": "<string>"
},
"toolResultClearing": {
"preserveRecentResults": 123
}
},
"firstUserMessageTemplate": "<string>",
"assignments": [
{
"type": "toolId",
"toolId": "<string>"
}
],
"memoryLayerAssignments": [
{
"memoryLayerId": "memlyr_01HXKD2E5NQM3T9AYWCFFFBMJH",
"position": 123
}
]
},
"info": {
"toolCount": 123,
"toolSetCount": 123,
"subAgentCount": 123,
"score": 123,
"feedbackCount": 123,
"memoryLayerCount": 123,
"effectiveToolCount": 123,
"assignmentMetadata": {},
"agentPoolCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"model": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"domain": "api.cadenya.com",
"reason": "TOKEN_EXPIRED",
"metadata": {}
}
]
}Agent Variations
Get a variation by ID
Retrieves a variation by ID from an agent
GET
/
v1
/
workspaces
/
{workspaceId}
/
agents
/
{agentId}
/
variations
/
{id}
cadenya agents variations retrieve agent_123 _123{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"systemPromptTemplate": "<string>",
"progressiveDiscovery": {
"maxTools": 123,
"hints": [
"<string>"
]
},
"constraints": {
"maxToolCalls": 123,
"maxSubObjectives": 123,
"inactivityTimeout": "<string>"
},
"description": "<string>",
"modelConfig": {
"modelId": "claude/opus-4.6",
"temperature": 123,
"topP": 123,
"topK": 123,
"stopSequences": [
"<string>"
],
"maxOutputTokens": 123,
"reasoningEffort": "REASONING_EFFORT_UNSPECIFIED",
"cachingEnabled": true,
"streamingEnabled": true
},
"compactionConfig": {
"triggerThreshold": 123,
"summarization": {
"instructions": "<string>"
},
"toolResultClearing": {
"preserveRecentResults": 123
}
},
"firstUserMessageTemplate": "<string>",
"assignments": [
{
"type": "toolId",
"toolId": "<string>"
}
],
"memoryLayerAssignments": [
{
"memoryLayerId": "memlyr_01HXKD2E5NQM3T9AYWCFFFBMJH",
"position": 123
}
]
},
"info": {
"toolCount": 123,
"toolSetCount": 123,
"subAgentCount": 123,
"score": 123,
"feedbackCount": 123,
"memoryLayerCount": 123,
"effectiveToolCount": 123,
"assignmentMetadata": {},
"agentPoolCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"model": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"domain": "api.cadenya.com",
"reason": "TOKEN_EXPIRED",
"metadata": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID.
Example:
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"
Agent ID. Accepts the canonical agent_… form or the external_id:<value> form.
Example:
"agent_01HXKD2E5NQM3T9AYWCFMGWT9Y"
Variation ID. Accepts the canonical agentvar_… form or the external_id:<value> form.
Example:
"agentvar_01HXKD2E5NQM3T9AYWCF32BSPP"